Package org.wso2.carbon.mediation.initializer.configurations

# Class ConfigurationManager

java.lang.Object
org.wso2.carbon.mediation.initializer.configurations.ConfigurationManager

public class ConfigurationManager extends Object
Responsible for managing the differrence configurations inside a single ConfigurationContext.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONFIGURATION_MANAGER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationManager(org.apache.axis2.context.ConfigurationContext configurationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `activate(String name)`
  Activate the given configuration.
  `void`
  `init()`
  Initilize the configuration manager

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONFIGURATION_MANAGER

    public static final String CONFIGURATION_MANAGER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationManager

    public ConfigurationManager(org.apache.axis2.context.ConfigurationContext configurationContext)
    Parameters:
      `configurationContext` - servers configuration context

- ## Method Details

  - ### init

    public void init() throws ConfigurationInitilizerException
    Initilize the configuration manager
    Throws:
      `ConfigurationInitilizerException` - if an error occurs

  - ### activate

    public boolean activate(String name) throws ConfigurationInitilizerException
    Activate the given configuration. This will intern deactivate the current configuration and then activate the new configuration.
    Parameters:
      `name` - name of the configuration to be activated
    Returns:
      true if activation is successful
    Throws:
      `ConfigurationInitilizerException` - if an error occurs while activating